import { EN_AppEntities } from '@app_consts';
import { AppBaseEntity } from './generic/app.baseentity';

export class EmployeeToDepartment extends AppBaseEntity {
  typeName = EN_AppEntities.EmployeeToDepartment;
  public get entitytitle(): string { return 'Zuweisung von Abteilung "' + this.departmentName + '" für Mitarbeiter'; } //is used for messages

  employeeToDepartmentId: number;
  employeeId: number;
  departmentId: number;
  departmentName: number;
  employeeBudget: number;
  employeeStatusId: number;
  rangId: number;

  public get entityId() {
    return this.employeeToDepartmentId;
  }
  public set entityId(value) {
    this.employeeToDepartmentId = value;
  }
}
